### Method

# Ide PipelineStage log_subprocess

#### Declaration

    void
    ide_pipeline_stage_log_subprocess (
      IdePipelineStage* self,
      IdeSubprocess* subprocess
    )

#### Description

This function will begin logging `subprocess` by reading from the stdout and stderr streams of the subprocess. You must have created the subprocess with `G_SUBPROCESS_FLAGS_STDERR_PIPE` and `G_SUBPROCESS_FLAGS_STDOUT_PIPE` so that the streams may be read.

Available since: | 3.32

#### Parameters

`subprocess` | `IdeSubprocess`
| An `IdeSubprocess`.
| The data is owned by the caller of the function.